| terminfo-0.3.1: Haskell bindings to the terminfo library. | Source code | Contents | Index

System.Console.Terminfo.Edit

Portability | portable (FFI)
Stability | experimental
Maintainer | judah.jacobson@gmail.com

Description
Synopsis

clearScreen :: Capability (LinesAffected -> TermOutput)
clearBOL :: Capability TermOutput
clearEOL :: Capability TermOutput
clearEOS :: Capability (LinesAffected -> TermOutput)

Documentation

clearScreen :: Capability (LinesAffected -> TermOutput) | Source

Clear the screen, and move the cursor to the upper left.

clearBOL :: Capability TermOutput | Source

Clear from beginning of line to cursor.

clearEOL :: Capability TermOutput | Source

Clear from cursor to end of line.

clearEOS :: Capability (LinesAffected -> TermOutput) | Source

Clear display after cursor.
Produced by Haddock version 2.4.2